[Linux] Custom location & search fields style
The toolbar text entry widgets (location and search) need a custom style

* to match the new button (TODO bug #572484) and tab style
* to better handle the SGR button (broken on some GTK themes atm)
* to better handle personas (broken on GTK themes with rounded corners atm)